curl --request GET \
--url https://api.qovery.com/project/{projectId}/environment/overview \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"mode": "PRODUCTION",
"cluster": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cloud_provider": "AWS",
"is_demo": true
},
"services_overview": {
"service_count": 123,
"managed_by": "QOVERY"
},
"deployment_status": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "BUILDING",
"last_deployment_state": "BUILDING",
"last_deployment_date": "2023-11-07T05:31:56Z",
"last_deployment_id": "<string>",
"total_deployment_duration_in_seconds": 123,
"origin": "API",
"triggered_by": "<string>",
"deployment_status": "NEVER_DEPLOYED",
"deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metrics": [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_duration_sec": 123,
"details": [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_name": "TOTAL",
"status": "SUCCESS",
"duration_sec": 123
}
]
}
]
}
}
]
}Returns a list of environments with their overview information including deployment status, service count, and cluster details.
curl --request GET \
--url https://api.qovery.com/project/{projectId}/environment/overview \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"mode": "PRODUCTION",
"cluster": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cloud_provider": "AWS",
"is_demo": true
},
"services_overview": {
"service_count": 123,
"managed_by": "QOVERY"
},
"deployment_status": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "BUILDING",
"last_deployment_state": "BUILDING",
"last_deployment_date": "2023-11-07T05:31:56Z",
"last_deployment_id": "<string>",
"total_deployment_duration_in_seconds": 123,
"origin": "API",
"triggered_by": "<string>",
"deployment_status": "NEVER_DEPLOYED",
"deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metrics": [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_duration_sec": 123,
"details": [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_name": "TOTAL",
"status": "SUCCESS",
"duration_sec": 123
}
]
}
]
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Project ID
List environments overview
Show child attributes
Was this page helpful?